Package org.eclipse.jdt.debug.core

# Interface IJavaPatternBreakpoint

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.model.IBreakpoint`, `IJavaBreakpoint`, `IJavaLineBreakpoint`, `org.eclipse.debug.core.model.ILineBreakpoint`, `org.eclipse.debug.core.model.ITriggerPoint`

@Deprecated public interface IJavaPatternBreakpoint extends IJavaLineBreakpoint
Deprecated.
use `IJavaStratumLineBreakpoint` instead
A line breakpoint installed in types associated with a specific source file (based on source file name debug attribute) and whose fully qualified name matches a specified pattern.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.debug.core.model.IBreakpoint

`BREAKPOINT_MARKER, ENABLED, ID, LINE_BREAKPOINT_MARKER, PERSISTED, REGISTERED`

### Fields inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`RESUME_ON_HIT, SUSPEND_THREAD, SUSPEND_VM`

### Fields inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`TRIGGERPOINT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPattern()`
Deprecated.
Returns the type name pattern this breakpoint uses to identify types in which to install itself.
`String`
`getSourceName()`
Deprecated.
Returns the source file name in which this breakpoint is set.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IBreakpoint

`delete, getMarker, getModelIdentifier, isEnabled, isPersisted, isRegistered, setEnabled, setMarker, setPersisted, setRegistered`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaBreakpoint

`addBreakpointListener, addInstanceFilter, getBreakpointListeners, getHitCount, getInstanceFilters, getSuspendPolicy, getThreadFilter, getThreadFilters, getTypeName, isDisableOnHit, isInstalled, removeBreakpointListener, removeInstanceFilter, removeThreadFilter, setDisableOnHit, setHitCount, setSuspendPolicy, setThreadFilter, supportsInstanceFilters, supportsThreadFilters`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaLineBreakpoint

`getCondition, isConditionEnabled, isConditionSuspendOnTrue, setCondition, setConditionEnabled, setConditionSuspendOnTrue, supportsCondition`

### Methods inherited from interface org.eclipse.debug.core.model.ILineBreakpoint

`getCharEnd, getCharStart, getLineNumber`

### Methods inherited from interface org.eclipse.debug.core.model.ITriggerPoint

`isTriggerPoint, setTriggerPoint`

## Method Details

### getPattern

String getPattern() throws org.eclipse.core.runtime.CoreException
Deprecated.
Returns the type name pattern this breakpoint uses to identify types in which to install itself.

Returns:
  the type name pattern this breakpoint uses to identify types in which to install itself
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker

### getSourceName

String getSourceName() throws org.eclipse.core.runtime.CoreException
Deprecated.
Returns the source file name in which this breakpoint is set. When this breakpoint specifies a source file name, this breakpoint is only installed in types whose source file name debug attribute match this value.

Returns:
  the source file name in which this breakpoint is set
Throws:
  `org.eclipse.core.runtime.CoreException` - if unable to access the property from this breakpoint's underlying marker